petsc-3.4.2 2013-07-02

# MatRestoreLocalSubMatrix

Restores a reference to a submatrix specified in local numbering

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatRestoreLocalSubMatrix(Mat mat,IS isrow,IS iscol,Mat *submat)

Not Collective

### Input Arguments

mat - matrix to extract local submatrix from isrow - local row indices for submatrix iscol - local column indices for submatrix submat - the submatrix

### See Also

MatGetLocalSubMatrix()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex10.c.html
src/snes/examples/tutorials/ex28.c.html
src/ts/examples/tutorials/ex14.c.html